#!/bin/bash
read -p "This will install the Twister OS v1.7 patch. Press [Ctrl-C] to cancel, or [Enter] to continue..."
echo "Installing... This may take awhile. Please be patient."

sudo rm -r -f /usr/local/share/notificationcenter
sudo mv -f ./patch/usr-local-share-notificationcenter /usr/local/share/notificationcenter
sudo rm -r -f /usr/local/share/onboarding
sudo mv -f ./patch/usr-local-share-onboarding /usr/local/share/onboarding
sudo rm -r -f /usr/local/share/spotlight
sudo mv -f ./patch/usr-local-share-spotlight /usr/local/share/spotlight
sudo rm -r -f /usr/local/share/themetwister
sudo mv -f ./patch/usr-local-share-themetwister /usr/local/share/themetwister

sudo mv -f ./patch/calendar.png /usr/share/icons/Windows-10/16x16/apps
sudo mv -f ./patch/gnome-music.png /usr/share/icons/Windows-10/16x16/apps
sudo mv -f ./patch/time.png /usr/share/icons/Windows-10/16x16/apps
sudo mv -f ./patch/rabbitvcs-applypatch.svg /usr/share/icons/Windows-10/scalable/actions
sudo mv -f ./patch/settings-configure.svg /usr/share/icons/Windows-10/scalable/actions
sudo rm -f /usr/local/bin/notificationcenter
sudo mv -f ./patch/notificationcenter /usr/local/bin
sudo rm -f /usr/local/bin/onboarding
sudo mv -f ./patch/onboarding /usr/local/bin
sudo rm -f /usr/local/bin/spotlight
sudo mv -f ./patch/spotlight /usr/local/bin
sudo rm -f /usr/local/bin/themetwister
sudo mv -f ./patch/themetwister /usr/local/bin
sudo rm -f /usr/share/applications/themetwister.desktop
sudo mv -f ./patch/themetwister.desktop /usr/share/applications
sudo rm -f /home/pi/Desktop/themetwister.desktop
sudo cp /usr/share/applications/themetwister.desktop /home/pi/Desktop
sudo rm -f /usr/share/ThemeSwitcher/ThemeTwister.sh
sudo mv -f ./patch/ThemeTwister.sh /usr/share/ThemeSwitcher
sudo mv -f ./patch/twistpatch.png /usr/share/icons
sudo mv -f ./patch/twistver /usr/local/bin
sudo mv -f ./patch/TwisterOS-01.png /usr/share/rpd-wallpaper
sudo mv -f ./patch/TwisterOS-02.png /usr/share/rpd-wallpaper
sudo mv -f ./patch/TwisterOS-03.png /usr/share/rpd-wallpaper

sudo find /usr/local/share/notificationcenter -type d -exec chmod 755 {} \;
sudo find /usr/local/share/notificationcenter -type f -exec chmod 644 {} \;
sudo find /usr/local/share/onboarding -type d -exec chmod 755 {} \;
sudo find /usr/local/share/onboarding -type f -exec chmod 644 {} \;
sudo find /usr/local/share/spotlight -type d -exec chmod 755 {} \;
sudo find /usr/local/share/spotlight -type f -exec chmod 644 {} \;
sudo find /usr/local/share/themetwister -type d -exec chmod 755 {} \;
sudo find /usr/local/share/themetwister -type f -exec chmod 644 {} \;

sudo chmod 644 /usr/share/icons/Windows-10/16x16/apps/calendar.png
sudo chmod 644 /usr/share/icons/Windows-10/16x16/apps/gnome-music.png
sudo chmod 644 /usr/share/icons/Windows-10/16x16/apps/time.png
sudo chmod 644 /usr/share/icons/Windows-10/scalable/actions/rabbitvcs-applypatch.svg
sudo chmod 644 /usr/share/icons/Windows-10/scalable/actions/settings-configure.svg
sudo chmod 755 /usr/local/bin/notificationcenter
sudo chmod 755 /usr/local/bin/onboarding
sudo chmod 755 /usr/local/bin/spotlight
sudo chmod 755 /usr/local/bin/themetwister
sudo chmod 644 /usr/share/applications/themetwister.desktop
sudo chmod 755 /home/pi/Desktop/themetwister.desktop
sudo chmod 755 /usr/share/ThemeSwitcher/ThemeTwister.sh
sudo chmod 644 /usr/share/icons/twistpatch.png
sudo chmod 755 /usr/local/bin/twistver
sudo chmod 644 /usr/share/rpd-wallpaper/TwisterOS-01.png
sudo chmod 644 /usr/share/rpd-wallpaper/TwisterOS-02.png
sudo chmod 644 /usr/share/rpd-wallpaper/TwisterOS-03.png

sudo chown -R root:root /usr/local/share/notificationcenter
sudo chown -R root:root /usr/local/share/onboarding
sudo chown -R root:root /usr/local/share/spotlight
sudo chown -R root:root /usr/local/share/themetwister

sudo chown root:root /usr/share/icons/Windows-10/16x16/apps/calendar.png
sudo chown root:root /usr/share/icons/Windows-10/16x16/apps/gnome-music.png
sudo chown root:root /usr/share/icons/Windows-10/16x16/apps/time.png
sudo chown root:root /usr/share/icons/Windows-10/scalable/actions/rabbitvcs-applypatch.svg
sudo chown root:root /usr/share/icons/Windows-10/scalable/actions/settings-configure.svg
sudo chown root:root /usr/local/bin/notificationcenter
sudo chown root:root /usr/local/bin/onboarding
sudo chown root:root /usr/local/bin/spotlight
sudo chown root:root /usr/local/bin/themetwister
sudo chown root:root /usr/share/applications/themetwister.desktop
sudo chown pi:pi /home/pi/Desktop/themetwister.desktop
sudo chown root:root /usr/share/ThemeSwitcher/ThemeTwister.sh
sudo chown root:root /usr/share/icons/twistpatch.png
sudo chown root:root /usr/local/bin/twistver
sudo chown root:root /usr/share/rpd-wallpaper/TwisterOS-01.png
sudo chown root:root /usr/share/rpd-wallpaper/TwisterOS-02.png
sudo chown root:root /usr/share/rpd-wallpaper/TwisterOS-03.png

read -p "Please ensure that you are connected to the internet before proceeding. When ready, press [Enter] to continue..."
sudo apt update
sudo apt install -y kodi
sudo usermod -a -G "audio,video,input,dialout,plugdev,tty" $USER
sudo addgroup --system input

sudo mv -f ./patch/README.pdf /home/pi/Desktop
sudo chmod 644 /home/pi/Desktop/README.pdf
sudo chown pi:pi /home/pi/Desktop/README.pdf

sudo rm -f /home/pi/.onboarding
sudo rm -r -f ./patch

clear
read -p "The system will now restart. When ready, press [Enter] to continue..."
sudo reboot
